SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001604SiT!userspublic2011-06-16 14:262011-06-17 10:02
ReporterTomse 
Assigned ToTomse 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001604: User edit; when saving it produces an error in the debug log
Description2011-06-16T15:20:55+02:00 user_profile_edit.php Application Error [256] !Error while updating users table (in line 334 of file user_profile_edit.php)

TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0001597closedTomse My profile page doesn't save settings 
related to 0001596resolvedTomse changing status from within the user profile page doesn't redirect you back to the profile page 

-  Notes
User avatar (0004023)
ivan (administrator)
2011-06-16 22:12

I can confirm this, the error in the log is followed by a full variables dump which I was amazed at the size of heheh, had to increase the size of my scrollback buffer. :-)

The result from the use perspective is a more or less blank page after saving too, it should have redirected with a message saying it failed.
User avatar (0004024)
Tomse (developer)
2011-06-17 08:24

temp fix in git : ddd4860
removed "AND is_numeric($this->id)" as this causes mem dump
not sure why
User avatar (0004026)
Tomse (developer)
2011-06-17 10:02

this bug is fixed in git : ddd4860

added some comments for paul, as he might have something to say about it

- Issue History
Date Modified Username Field Change
2011-06-16 14:26 Tomse New Issue
2011-06-16 22:12 ivan Note Added: 0004023
2011-06-16 22:12 ivan Status new => confirmed
2011-06-16 22:29 Tomse Assigned To => Tomse
2011-06-16 22:29 Tomse Status confirmed => assigned
2011-06-17 08:24 Tomse Note Added: 0004024
2011-06-17 10:00 Tomse Target Version => 3.90beta1
2011-06-17 10:02 Tomse Note Added: 0004026
2011-06-17 10:02 Tomse Status assigned => resolved
2011-06-17 10:02 Tomse Fixed in Version => Current GIT
2011-06-17 10:02 Tomse Resolution open => fixed
2011-06-18 11:52 Tomse Relationship added related to 0001596
2011-06-18 11:52 Tomse Relationship added has duplicate 0001597


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker